# ==================================================================
# Plugins::SendEmailAfterAdd - Auto Generated Install Module
#
#   Plugins::SendEmailAfterAdd
#   Author  : Andy Newby (Ultranerds)
#   Version : 1
#   Updated : Tue Feb 15 08:29:24 2005
#
# ==================================================================
#

package Plugins::SendEmailAfterAdd;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'SendEmailAfterAdd';
# Inhert from base class for debug and error methods
    @Plugins::SendEmailAfterAdd::ISA = qw(GT::Base);

    $META = {
    'version' => '1',
    'prog_ver' => '2.2.1',
    'url' => 'http://www.ultranerds.com',
    'author' => 'Andy Newby (Ultranerds)',
    'description' => 'Sends out a "confirmation" email, so they know that their submission has been received, and will be validated as soon as possible.',
    'license' => 'Freeware'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SendEmailAfterAdd::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('SendEmailAfterAdd', [['user_add_link', 'POST', 'Plugins::SendEmailAfterAdd::user_add_link', '']]);
    

# Silence warnings
    $GT::Tar::error ||= '';

# The following section will unarchive attached files into the 
# proper location.
    my $file;

    my @file_list;
    $file_list[0] = 'add-email-pre.txt';

    foreach (@file_list) {
       $file = $tar->get_file ($_);
       $file->name("$CFG->{admin_root_path}/templates/$CFG->{build_default_tpl}/$_");
       $file->write or return Plugins::SendEmailAfterAdd->error("Unable to extract file: '$CFG->{admin_root_path}/templates/$CFG->{build_default_tpl}/$_' ($GT::Tar::error)", 'WARN');
    } 

    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SendEmailAfterAdd::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('SendEmailAfterAdd', [['user_add_link', 'POST', 'Plugins::SendEmailAfterAdd::user_add_link', '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
